Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

chore!: NodeJS@8 is no longer supported. #612

Merged
merged 4 commits into from Jul 16, 2020
Merged

chore!: NodeJS@8 is no longer supported. #612

merged 4 commits into from Jul 16, 2020

Conversation

@jbottigliero
Copy link
Member

@jbottigliero jbottigliero commented Jul 11, 2020

The conventional-changelog packages that this repository relies on heavily have dropped support for NodeJS@8 (conventional-changelog/conventional-changelog/pull/599). While the current state (v8.0.0) of this library still passes tests in NodeJS@8, by reaching EOL status on 12/31/2019 this seems like a change we should introduce to avoid unexpected issues/conflicts with updates in dependencies.

see #549

Joe Bottigliero and others added 2 commits Jul 11, 2020
- The conventional-changelog packages that this repository relies on heavily have dropped support for NodeJS@8 (conventional-changelog/conventional-changelog/pull/599). While the current state (v8.0.0) of _this_ library still passes tests in NodeJS@8, with reaching EOL on 12/31/2019 this seems like a change we should introduce to avoid unexpected issues/conflicts with updates in dependencies.

see #549
Copy link
Member

@bcoe bcoe left a comment

why don't we also set the --engine-strict for npm i, this would have protected us from upgrades that shot us in the foot like this.

Edit: went ahead and did this in another PR so that I could test it.

bcoe
bcoe approved these changes Jul 12, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants